.range {
  position: relative;
  margin-bottom: 8px;
}
.range-container {
  margin: 16px 0 0;
}
.range-track {
  height: 16px;
}
.range-track-bar {
  -webkit-transition: none;
  -moz-transition: none;
  -o-transition: none;
  -ms-transition: none;
  transition: none;
}
.range-control {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  position: absolute;
  top: 0;
  left: 0;
  padding: 0;
  -moz-transform: translate(0, 16px);
  background: transparent;
  -webkit-box-shadow: none;
  box-shadow: none;
  cursor: pointer;
  cursor: w-resize;
  cursor: -webkit-grab;
  cursor: -moz-grab;
  cursor: -ms-grab;
  cursor: grab;
}
.range-control:active {
  cursor: -webkit-grabbing;
  cursor: -moz-grabbing;
  cursor: -ms-grabbing;
  cursor: grabbing;
}
.range-control:focus {
  outline: 0;
}
.range-control::-ms-fill-lower,
.range-control::-ms-fill-upper,
.range-control::-ms-ticks-after,
.range-control::-ms-ticks-before,
.range-control::-ms-tooltip {
  display: none;
}
.range-control::-ms-track {
  height: 48px;
  color: transparent;
  background: none;
  border: 0;
}
.range-control::-ms-thumb {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 32px;
  height: 32px;
  border-width: 0;
  border-radius: 50%;
  background: #f0f0f2 -webkit-linear-gradient(#f0f0f2, #c2c3cb);
  background: #f0f0f2 -moz-linear-gradient(#f0f0f2, #c2c3cb);
  background: #f0f0f2 -o-linear-gradient(#f0f0f2, #c2c3cb);
  background: #f0f0f2 -ms-linear-gradient(#f0f0f2, #c2c3cb);
  background: #f0f0f2 linear-gradient(#f0f0f2, #c2c3cb);
  -webkit-box-shadow: rgba(0,0,0,0.5) 0 4px 8px;
  box-shadow: rgba(0,0,0,0.5) 0 4px 8px;
}
.range-control::-moz-range-track {
  background: none;
  border: 0;
}
.range-control::-moz-range-thumb {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 32px;
  height: 32px;
  border-width: 0;
  border-radius: 50%;
  background: #f0f0f2 -webkit-linear-gradient(#f0f0f2, #c2c3cb);
  background: #f0f0f2 -moz-linear-gradient(#f0f0f2, #c2c3cb);
  background: #f0f0f2 -o-linear-gradient(#f0f0f2, #c2c3cb);
  background: #f0f0f2 -ms-linear-gradient(#f0f0f2, #c2c3cb);
  background: #f0f0f2 linear-gradient(#f0f0f2, #c2c3cb);
  -webkit-box-shadow: rgba(0,0,0,0.5) 0 4px 8px;
  box-shadow: rgba(0,0,0,0.5) 0 4px 8px;
}
.range-control::-webkit-slider-runnable-track {
  margin: 8px 0 0;
  background: none;
  border: 0;
}
.range-control::-webkit-slider-thumb {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 32px;
  height: 32px;
  border-width: 0;
  border-radius: 50%;
  background: #f0f0f2 -webkit-linear-gradient(#f0f0f2, #c2c3cb);
  background: #f0f0f2 -moz-linear-gradient(#f0f0f2, #c2c3cb);
  background: #f0f0f2 -o-linear-gradient(#f0f0f2, #c2c3cb);
  background: #f0f0f2 -ms-linear-gradient(#f0f0f2, #c2c3cb);
  background: #f0f0f2 linear-gradient(#f0f0f2, #c2c3cb);
  -webkit-box-shadow: rgba(0,0,0,0.5) 0 4px 8px;
  box-shadow: rgba(0,0,0,0.5) 0 4px 8px;
}
.range-popover {
  display: block;
  position: relative;
  padding: 0;
}
.range-popover .popover-content {
  padding: 0;
}
.range-popover .form-control {
  border: 0;
  -webkit-box-shadow: none;
  box-shadow: none;
  font-weight: bold;
}
h1,
.h1,
h2,
.h2,
h3,
.h3 {
  margin-top: 10px;
}
body {
  padding: 16px;
  background: #e7e7e7;
}
.container .jumbotron {
  margin-bottom: 16px;
  padding: 8px 0;
}
